Subject: FVWM: Mozilla & Fvwm 2.3.28

From: Shao Zhang <[email-masked]>
Date: Tue, 27 Feb 2001 11:44:59 +1100

Hi,

Recently I started using multiple desktops, before I was using one 
desktop with many virtual screens.

However, I have one little problem when using mozilla with it.
If mozilla starts on desktop 1, it tends to remember the desktop. Now, even if I
move the mozilla window to desktop 2 manually, when there is a popup window from
mozilla, it always goes back to desktop 1. And this is really anonying...

It seems other apps are not affected, so I guess it is a mozilla thing not fvwm.
But is there any work around?

Thanks for any help in advance.

Shao.

-- 
Shao Zhang                          Tel:  (02) 9209 4838
Software Engineer                   Fax:  (02) 9209 4992
Redfern Broadband Networks (RBN)    Mail: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 27 Feb 2001 15:51:48 +0100

> mozilla, it always goes back to desktop 1. And this is really anonying...

Do you mean only the popup goes to desk 1 or do both windows go
back to desk 1?

> But is there any work around?

It might help to give your mozilla windows the GNOMEIgnoreHints
style.  If that does not help, please give me a step by step
description so that I can see if what exactly the problem is
(including any relevant lines from your config file).

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 27 Feb 2001 16:41:59 +0100

> But is there any work around?

Ah, I think I know what you mean.  When a mozilla popup window
like the download dialog is opened, fvwm puts it on the same desk
as the main mozilla window (which is correct) and then switches to
that desk (which you don't like).  This is because the popup
dialog has the window group hint set.  To disable this behaviour
you can use the SkipMapping style:

  Style mozilla* SkipMapping

Bye

Dominik ^_^  ^_^

---

From: Shao Zhang <[email-masked]>
Date: Wed, 28 Feb 2001 11:42:42 +1100

Hi,

>   Style mozilla* SkipMapping

Thanks for the help. This helps but it is still a semi working solution for me.
With SkipMapping turned on, it is now better because even if I am in a different
desktop, the new popup window will not cause fvwm to switch to the orginal
desktop. But I really want the new popup window to start on the current
desk/page I am in.

Eg:

    Start Mozilla on Desk 1
    Start another Mozilla window on Desk 1 using Ctrl-N
    Now manually move this second mozilla window to Desk 2
    In Desk 2, on the second mozilla window, press Ctrl-N to start the third mozilla window
    
    The third mozilla window will be placed in Desk 1 but not my current desk 2.

Shao.

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 28 Feb 2001 04:57:40 +0100

>     The third mozilla window will be placed in Desk 1 but not my current desk 2.

Yes.  Currently fvwm keeps all windows in a window group on the
same desk as the group leader.  Although I consider this a mozilla
bug (it tries to force you to treat all its windows as related),
there may be a new style option to tell fvwm to ignore the window
group hint in the future.  You may be able to move these windows
from FvwmEvent, though.

Bye

Dominik ^_^  ^_^

---

From: Shao Zhang <[email-masked]>
Date: Wed, 28 Feb 2001 14:07:26 +1100

Hi,

> group hint in the future.  You may be able to move these windows

Thanks for the explanation. I just tried this with Netscape 4.7 and it 
does not have this problem. I will probably just submit a bug report to
mozilla, but I am not sure what keyword I should search for this kind of
problem.

I will also try out the FvwmEvent solution. BTW, is there any way to make the
pager looks like multiple desktops, but just having one desk with many virtual
screens? I like the idea of having seperate desktops for different stuff such as
Mail, Web, Work etc... But due to this mozilla bug, I probably have to go back
to one desk mode soon...

Shao.

---

From: An Thi-Nguyen Le <[email-masked]>
Date: Tue, 27 Feb 2001 22:13:54 -0600

[Shao Zhang - Tue, 27 Feb 2001 09:11:05 PM CST]
> pager looks like multiple desktops, but just having one desk with many
> virtual screens? I like the idea of having seperate desktops for different
> stuff such as Mail, Web, Work etc... But due to this mozilla bug, I probably
> have to go back to one desk mode soon...

You can assign Mozilla and all its windows to, for instance, a specific
desktop.

  Style "Mozilla-bin"             StartsOnDesk 4

You can also specify a specific page, or a specific desktop and page.

As for having the pager "look like multiple desktops", I'm not sure what 
you mean here.  The pager draws little delimiters between desktops, which 
I think you can specify as being solid instead of dashed.  No "page" titles,
of course.  And you can specify different backgrounds for each page these 
days...

-- 
An Thi-Nguyen Le
|You can't judge a book by the way it wears its hair.

---

From: Shao Zhang <[email-masked]>
Date: Thu, 1 Mar 2001 13:22:13 +1100

Hi,

Dominik Vogt [[email-masked]] wrote:
> It's your lucky day :-)  I've just written the new styles
> KeepWindowGroupsOnDesk / ScatterWindowGroups which solve your
> problem.  If you upgrade to current CVS code, the next snapshot or
> wait for 2.3.29, mozilla will work as you expext by default
> (unless you use the KeepWindowGroupsOnDesk style).

Thanks heaps for this. Really appreciated your help espeacially that this is not
the fvwm's fault.

I have tried the latest snapshort 20010228. The man pages have the new options
that you mentioned. I tried with this:
Style "Mozilla*" MiniIcon mini-nscape.xpm, ScatterWindowsGroups

But it still behaves the wrong way.

Step1: start mozilla on desk 0
Step2: on desk 0, press Ctrl-N to start another mozilla window
Step3: the seond mozilla window started on desk 0, use mouse to move to desk 1
Step4: on desk 1, press Ctrl-N to start another mozilla window. (It is still
going to be started on desk 0).

Shao.